@import "../node_modules/bootstrap/dist/css/bootstrap.css";
@import "../node_modules/font-awesome/css/font-awesome.css";
@import "../node_modules/admin-lte/dist/css/AdminLTE.css";
@import "../node_modules/ionicons/dist/css/ionicons.css";
@import "../node_modules/admin-lte/dist/css/skins/skin-blue.css";
@import '../node_modules/angular2-toaster/src/toaster';

.overflow-ellipsis {
    display: block;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.box-body {
    .table-responsive.table-responsive {
        margin-bottom: 0;
        border: none;
    }
    table.table {
        margin-bottom: 0;
        tr {
            th, td {
                &.short {
                    max-width: 100px;
                    & > * {
                        @extend .overflow-ellipsis;
                    }
                }
            }
            td {
                vertical-align: middle;
                word-break: break-all;
            }
        }
    }
}

.label {
    display: inline-block;
    padding: .3em .6em .4em;
}

.alert-default {
    background: white;
    &:hover {
        color: inherit;
    }
}

body {
    &.skin-blue {
        .ng-bar {
            background-color: #ffffff !important;
            .ng-meteor {
                box-shadow: #ffffff 0px 0px 10px, #ffffff 0px 0px 5px !important;
            }
        }
        .ng-spinner {
            right: 50% !important;
            transform: translateX(-50%);
            .ng-spinner-icon {
                border-top-color: #ffffff !important;
                border-left-color: #ffffff !important;
            }
        }
    }
}